Bug 11570 - Upgrade jQueryUI to latest version in the staff client
Summary: Upgrade jQueryUI to latest version in the staff client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 12094
  Show dependency treegraph
 
Reported: 2014-01-16 14:31 UTC by Owen Leonard
Modified: 2015-06-04 23:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Medium patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 11570 - Upgrade jQueryUI to latest version in the staff client (501.91 KB, patch)
2014-01-16 16:23 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11570 - Upgrade jQueryUI to latest version in the staff client (473.75 KB, patch)
2014-03-05 15:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 11570 - Upgrade jQueryUI to latest version in the staff client (473.77 KB, patch)
2014-03-07 19:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 11570 - Upgrade jQueryUI to latest version in the staff client (473.83 KB, patch)
2014-03-27 11:35 UTC, Jonathan Druart
Details | Diff | Splinter Review
with path (18.86 KB, image/png)
2014-03-27 11:38 UTC, Jonathan Druart
Details
without patch (18.59 KB, image/png)
2014-03-27 11:38 UTC, Jonathan Druart
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-01-16 14:31:55 UTC
Koha master currently uses jQueryUI version 1.8.23. We should upgrade to the latest version, currently 1.10.3. This upgrade would not conflict with our version of jQuery. At the very least the upgrade would help with Bug 11042 because of improvements to the default jQueryUI CSS.
Comment 1 Owen Leonard 2014-01-16 14:50:03 UTC
I'm revising the scope of this bug to cover the staff client only. A separate bug should cover the OPAC.
Comment 2 Owen Leonard 2014-01-16 16:23:06 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2014-03-05 15:42:11 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2014-03-07 19:51:14 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2014-03-23 21:25:19 UTC
Hi Owen,

I am having difficulties testing the overdues report - I don't have a filter for patron attributes showing up. The pref is enabled and the user showing up in the report has patron attributes linked to authorized values set.

 - In Circulation -> Overdues: The patron attribute authorized value
  filter (must have patron attributes enabled, and a patron attribute
  defined which uses authorized values.
Comment 6 Jonathan Druart 2014-03-26 15:19:13 UTC
(In reply to Katrin Fischer from comment #5)
> Hi Owen,
> 
> I am having difficulties testing the overdues report - I don't have a filter
> for patron attributes showing up. The pref is enabled and the user showing
> up in the report has patron attributes linked to authorized values set.
> 
>  - In Circulation -> Overdues: The patron attribute authorized value
>   filter (must have patron attributes enabled, and a patron attribute
>   defined which uses authorized values.

Do you have the "Searchable" flag set for this patron attribute?
Comment 7 Katrin Fischer 2014-03-26 15:21:36 UTC
Hi Jonathan, thanks - I think that was the problem. If you want to take a look here, please do.
Comment 8 Jonathan Druart 2014-03-27 11:35:25 UTC
QA comment:

All work as expected, no regression found.
I just found 2 small differences:
1/ on the patron headers, 1px alignment change:
The text "Check out", "Check in", "Search the catalog" in tabs were 1px higher than with the patch (take a magnifying glass to see the difference! :))

2/ The accordion has now a border on bottom of the title.

See screenshots.

In my opinion, it is not blocker. That could be fix later if needed.

Marked as Passed QA.
Comment 9 Jonathan Druart 2014-03-27 11:35:47 UTC
Created attachment 26628 [details] [review]
Bug 11570 - Upgrade jQueryUI to latest version in the staff client

This patch upgrades the version of jQueryUI included in the Koha staff
client from v1.8.23 to v.1.10.4. The upgrade introduces a few minor API
changes which require the updates in this patch:

- In CSS, the term "active" is used instead of "selected"
- Autocomplete functions use slightly changed parameters

Changes to the default jQueryUI CSS allows us to remove some instances
of "!important" from jQueryUI-related CSS in the staff client's main CSS
file.

To test:

Testing changes to autocomplete:

- Enable the CircAutocompl system preference. Try searching in the
  header's "Check out" tab. Autocomplete should look correct and
  function correctly.

- In Circulation -> Overdues: The patron attribute authorized value
  filter (must have patron attributes enabled, and a patron attribute
  defined which uses authorized values.

- Course reserves -> Course -> Edit: Searching for an instructor

- In the unimarc_field_210c_bis.pl plugin:
  1. Link the publisher name field in your MARC structure to
     the unimarc_field_210c_bis.pl plugin.
  2. Open a MARC record for editing and click the "tag editor" link to
     launch the plugin.
  3. Type the first few letters of a publisher which exists in your
     database. You should get an autocomplete menu of publishers
     which match your search.
  4. Select one and click the "choose" button to fill the field in the
     MARC editor.

- Tools -> Patron lists: Add a list or choose an existing list and add
  patrons. Perform a search for a patron.

- Placing a hold: After choose a title and clicking "Place hold,"
  search for a patron.

- Tags management: The sidebar filter for "reviewer" should let you
  search by patron name.

Other jQueryUI widget changes:

- Check tabs appearance in header search, biblio detail, cataloging, and
  circulation patron fines pages.

To confirm other jQueryUI widgets still function correctly:

- Check accordion (collapsing sections) in Patrons -> Patrons requesting
  modifications and the MARC subfield structure edit screen.

- Check datepickers, especially in Circulation with the added timepicker.
  Test a linked datepicker, for example in Reports -> Stats wizards ->
  Circulation where the value in one date field affects what dates are
  available in the matching field.

- Check the calendar interface in Tools -> Calendar

To confirm that the new jQueryUI default CSS is more flexible (fixing
Bug 11042), add the following CSS to your IntranetUserCSS system
preference and confirm that the header search active tab border color
changes (hash mark escaped so that it will appear in commit msg):

\#header_search ul.ui-tabs-nav li.ui-tabs-active {
  background-color: #FFFFF1;
  border: 1px solid #800000;
  border-top: 0 !important;
  top: -2px;
}

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 10 Jonathan Druart 2014-03-27 11:38:01 UTC
Created attachment 26629 [details]
with path
Comment 11 Jonathan Druart 2014-03-27 11:38:23 UTC
Created attachment 26630 [details]
without patch
Comment 12 Galen Charlton 2014-04-07 15:48:31 UTC
Pushed to master.  Thanks, Owen!
Comment 13 Fridolin SOMERS 2014-06-19 14:59:44 UTC
Pushed to 3.14.x, will be in 3.14.08